# Created by pyp2rpm-3.4.0
%define python3_pkgversion 3.11
%global pypi_name packaging
%global pypi_version 24.2

%bcond_with tests # Enables tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Core utilities for Python packages

License:        Apache-2.0 and BSD-2-Clause
URL:            https://github.com/pypa/packaging
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-flit-core >= 3.3
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-toml
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%description
Core utilities for Python packages

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Core utilities for Python packages

%description -n python%{python3_pkgversion}-%{pypi_name}
Core utilities for Python packages


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with tests}
%{pytest}
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc tests/.pytest_cache/README.md README.rst
%license docs/licenses.rst LICENSE tests/test_licenses.py LICENSE.APACHE LICENSE.BSD
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}.dist-info

%changelog
* Tue Feb 18 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 24.2-1
- Update to 24.2

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 23.2-1.0.1
- Update to 23.2
- Rebuild with python 3.11
- Add setup.py
- Remove dependency on pyparsing

* Fri Jun 30 2023 Lans Hung <lans.hung@oracle.com> - 21.3-1.0.2
- Add 3rd party licenses

* Wed Feb 1 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 21.3-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Thu Jun 30 2022 Ian Ballou <ianballou67@gmail.com> - 21.3-1
- Bump up to 21.3 for pulp-python

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 21.2-2
- Build against python 3.9

* Wed Nov 03 2021 Odilon Sousa 21.2-1
- Update to 21.2

* Wed Sep 08 2021 Evgeni Golov - 21.0-2
- Build against Python 3.8

* Tue Jul 13 2021 Evgeni Golov 21.0-1
- Update to 21.0

* Fri Mar 19 2021 Evgeni Golov 20.9-1
- Update to 20.9

* Thu Jun 04 2020 Evgeni Golov 20.4-1
- Update to 20.4

* Wed Mar 18 2020 Samir Jha 20.3-1
- Update to 20.3

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 20.1-2
- Bump release to build for el8

* Tue Jan 28 2020 Evgeni Golov 20.1-1
- Update to 20.1

* Mon Jan 06 2020 Evgeni Golov 20.0-1
- Update to 20.0

* Mon Nov 18 2019 Evgeni Golov - 19.2-1
- Initial package.
